> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

The OpusClip API allows users to transform long-form videos into short, viral clips using advanced AI.

Below is a quick guide to get started with the OpusClip API.

## Steps to Get Started

**1. Step 1: Get API Key**

Get your [API Key](https://help.opus.pro/api-reference/overview.md#accessing-the-api) from the [dashboard](https://clip.opus.pro/dashboard)
and include it in your request.

<video src="https://public.cdn.opus.pro/help-center/videos/access-api-key.mp4" autoPlay loop />

**2. Step 2: Customize Brand Template**

Follow below steps to customize the appearance of your clips by `brand template`:

> [card] [Customizing Brand Templates](https://help.opus.pro/api-reference/brand-template.md#customizing-brand-templates)
>
> For a high level of customization, you can create and manage your brand templates.

> [card] [Using Preset Brand Templates](https://help.opus.pro/api-reference/brand-template.md#using-preset-brand-templates)
>
> Not familiar with it? No worries, we provide popular templates for your convenience.

**3. Step 3: Create a New Project**

Use the [Create a New Project](https://help.opus.pro/api-reference/endpoints/create-project.md) endpoint.

Provide the `videoUrl` and `API_KEY`, then run the following command to create a new project with minimal
preferences:

```bash basic usage theme={"dark"}
curl --request POST \
--url https://api.opus.pro/api/clip-projects \
--header 'Authorization: Bearer <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "videoUrl": "https://www.youtube.com/watch?v=tEXaoozFRes"
}'
```

```bash advanced usage theme={"dark"}
curl --request POST \
--url https://api.opus.pro/api/clip-projects \
--header 'Authorization: Bearer <API_KEY>' \
    --header 'Content-Type: application/json' \
    --data '{
        "videoUrl": "https://www.youtube.com/watch?v=tEXaoozFRes",
        "brandTemplateId": "preset-fancy-Karaoke",
        "curationPref": {
          "range": {
            "startSec": 28,
            "endSec": 636
          },
          "clipDurations": [
            [0, 180]
          ],
          "topicKeywords": [
            "OpusClip"
          ],
          "skipCurate": false,
          "genre": "Auto"
        },
        "importPref": {
          "sourceLang": "en"
        },
        "conclusionActions": [
          {
              "type": "WEBHOOK",
              "notifyFailure": true,
              "url": "https://webhook.site/#!/view/d3ba169d-f9eb-4c78-a229-771eab9d6e67"
          },
          {
              "type": "EMAIL",
              "notifyFailure": false,
              "email": "opusclip@opus.pro"
          }
        ]
    }'
```

> [!TIP]
>
> You can customize the project creation request by providing additional preferences:
>
> * [Brand Templates](https://help.opus.pro/api-reference/endpoints/create-project.md#brand-templates)
> * [Curation Preferences](https://help.opus.pro/api-reference/endpoints/create-project.md#curation-preferences)
> * [Import Preferences](https://help.opus.pro/api-reference/endpoints/create-project.md#import-preferences)
> * [Conclusion Actions](https://help.opus.pro/api-reference/endpoints/create-project.md#conclusion-actions)
> * [Curation Model](https://help.opus.pro/api-reference/endpoints/create-project.md#curation-model)
>
> Switch to the `advanced usage` tab above to see an example with all preferences.

**4. Step 4: Get Clips**

Use the [Get Clips](https://help.opus.pro/api-reference/endpoints/get-clips.md) endpoint.
Provide the `Project ID` returned from the project creation response.

```bash theme={"dark"}
curl --request GET \
--url 'https://api.opus.pro/api/exportable-clips?q=findByProjectId&projectId={projectId}' \
--header 'Authorization: Bearer <API_KEY>' \
--header 'x-opus-org-id: <ORG_ID>'
```

**5. Step 5: Share the Project**

Use the [Share a Project](https://help.opus.pro/api-reference/endpoints/share-project.md) endpoint to share the project you just
created with others.

```bash theme={"dark"}
curl --request POST \
--url https://api.opus.pro/api/clip-projects/<PROJECT_ID>/update-visibility \
--header 'Authorization: <API_KEY>' \
    --header 'Content-Type: application/json' \
    --data '{
        "visibility": "PUBLIC"
    }'
```

## Using the Playground

You can use the 👉 [Playground](https://help.opus.pro/api-reference/playground) to generate code snippets easily for the endpoints mentioned above.

<video src="https://public.cdn.opus.pro/help-center/videos/create-project-playground.mp4" autoPlay loop />


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.